<?php 

$codigo 	= $_POST['codigo_barras'];

$nombre1 	= utf8_encode(substr($_POST['nombre'], 0, 41));

$precio 	= "S/. ".$_POST['precio'];

$fecha 		= $_POST['fecha'];

$copias		= $_POST['numero'];





$label_ini='

^Q25,2

^W108

^H8

^P1

^S4

^AD

^C1

^R16

~Q+0

^O0

^D0

^E18

~R200

^XSET,ROTATION,0

^L

Dy2-me-dd

Th:m:s';

$label_cod1='

Dy2-me-dd

Th:m:s

BQ,76,92,3,8,72,0,3,'.$codigo.'

AA,10,14,1,1,0,0,'.$nombre1.'

AC,11,42,1,1,0,0,'.$precio.'

AA,389,37,1,1,0,1,'.$fecha.'';

$label_cod2='

Dy2-me-dd

Th:m:s

BQ,504,91,3,8,72,0,3,'.$codigo.'

AA,438,14,1,1,0,0,'.$nombre1.'

AC,439,42,1,1,0,0,'.$precio.'

AA,817,37,1,1,0,1,'.$fecha.'';

$label_fin='

E

';



ECHO $nombre1; 





$copias_2=floor($copias/2);

$label_2=$label_ini.$label_cod1.$label_cod2.$label_fin;



$label='';

for ($i=0; $i < $copias_2; $i++) { 

	$label.=$label_2;

}



$label_1=$label_ini.$label_cod1.$label_fin;

if($copias%2!=0)$label.=$label_1;



       

// Create a temp file

$file = tempnam(sys_get_temp_dir(), 'lbl');



// Open the file for writing

$handle = fopen($file, "w");

fwrite($handle, $label);

fclose($handle); // Close the file



// Print the file

$equipo = exec('HOSTNAME');

//echo 'print /d:\\\\'.$equipo.'\\Godex ' . $file;

exec('print /d:\\\\'.$equipo.'\\godex ' . $file);



echo "exito";

// Delete the file

unlink($file);





 ?>

 